<?php
/**
 * @package DJ-Extensions-DJSectionsTab
 * @copyright Copyright (C) DJ-Extensions.com, All rights reserved.
 * @license http://www.gnu.org/licenses GNU/GPL
 * @author url: http://dj-extensions.com
 * @author email contact@m.herzberg
 */

defined('_JEXEC') or die;
use Joomla\CMS\Plugin\CMSPlugin;
use YOOtheme\Application;

class plgSystemYoothemedjsectionstab extends CMSPlugin
{
	public function onAfterInitialise()
	{
		JLoader::registerNamespace('DJExtensions\YOOessentials\YOOtheme\DJSectionsTab;', JPATH_ROOT . "/plugins/system/yoothemedjsectionstab");

		// check if YOOtheme Pro is loaded
		if (!class_exists(Application::class, false)) {
			return;
		}
		$this->loadLanguage();

        // bootstrap modules
		$app = Application::getInstance();
		$app->load(__DIR__ . '/module/bootstrap.php');
	}


}